Package org.freeplane.api

# Interface FreeplaneVersion

All Superinterfaces:
  `Comparable<FreeplaneVersion>`

All Known Implementing Classes:
  `FreeplaneVersion`

public interface FreeplaneVersion extends Comparable<FreeplaneVersion>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaj()`
  `int`
  `getMid()`
  `int`
  `getMin()`
  `int`
  `getNum()`
  `String`
  `getRevision()`
  `String`
  `getType()`
  `boolean`
  `isFinal()`
  `boolean`
  `isNewerThan(FreeplaneVersion freeplaneVersion)`
  `boolean`
  `isOlderThan(FreeplaneVersion freeplaneVersion)`
  `String`
  `numberToString()`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

- ## Method Details

  - ### isFinal

    boolean isFinal()

  - ### isNewerThan

    boolean isNewerThan(FreeplaneVersion freeplaneVersion)

  - ### isOlderThan

    boolean isOlderThan(FreeplaneVersion freeplaneVersion)

  - ### numberToString

    String numberToString()

  - ### getRevision

    String getRevision()

  - ### getType

    String getType()

  - ### getNum

    int getNum()

  - ### getMin

    int getMin()

  - ### getMid

    int getMid()

  - ### getMaj

    int getMaj()